Bug 99087 - Symbolic links from /usr/X11/include not present within rpm
Summary: Symbolic links from /usr/X11/include not present within rpm
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lesstif (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-14 12:37 UTC by William Hamish Bell
Modified: 2007-04-18 16:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-14 13:42:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description William Hamish Bell 2003-07-14 12:37:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Versions of this rpm for RH7.x contain symbolic links
/usr/X11R6/include/Dt -> ../LessTif/Motif2.1/include/Dt
/usr/X11R6/include/Mrm -> ../LessTif/Motif1.2/include/Mrm
/usr/X11R6/include/uil -> ../LessTif/Motif1.2/include/uil
/usr/X11R6/include/Xm -> ../LessTif/Motif1.2/include/Xm

These are not present in the RH9.0 version of the lesstif-devel rpm.  This
causes programs that include these header files to fail compilation.  Simply add
the symbolic links back in to cure the problem.

Version-Release number of selected component (if applicable):
lesstif-devel-0.93.36-3

How reproducible:
Always

Steps to Reproduce:
1. Build an executable that requires Xm/*.h from /usr/X11R6/include
2.
3.
    

Additional info:

Comment 1 Thomas Woerner 2003-08-14 13:42:48 UTC
Lesstif is in RH 9 for compatibility only. Please use openmotif instead.
Packages, which require lesstif, are nomally searching in /usr/LessTif/Motifx.y
for include files.



Note You need to log in before you can comment on or make changes to this bug.